Support » Plugin: Jetpack by WordPress.com » Can't authorize Jetpack for JSON API

  • Resolved CarlBeckel

    (@carlbeckel)


    http://bigroundhouse.com/
    server: lighttpd & php5.2
    Jetpack version 2.1.2 but was also happening with 2.1.1 earlier today

    Also tested on a different wordpress installation on another server (apache & php5.3) with same results

    Trying to authorize use of the OAUTH JSON API on an installed wordpress site using jetpac. The site shows up in the dropdown on WordPress.com but authorizing the site results in:

    You must connect your Jetpack plugin to WordPress.com to use this feature.

    It’s connected. I’m already pulling stats data. Trying to look in the code for the problem gets me to here:

    // jetpack.php line 3504
    
    if ( !isset( $tokens[$user_id] ) || !$token = $tokens[$user_id] ) {
    	return false;
    }

    It’s returning false because a print_r reveals

    $tokens = Array
    (
        [4] => ioB$)- edited for security -FCfC5Mol.4
    )

    Thanks for your help!

    http://wordpress.org/extend/plugins/jetpack/

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Can't authorize Jetpack for JSON API’ is closed to new replies.